function out = media_response(N,TotalSamples=1024)

  # Analizza la risposta in frequenza di un filtro che fa la media di N campioni.
  #
  
  # genera la traccia su cui lavorare (gia' decimata)
  Signal=zeros(TotalSamples,1);				# vettore colonna nullo
  for i=1:N
    Signal(TotalSamples/2+i,1)=1/N;			# media del delta di Dirac
  endfor
  
  # analisi di Fourier del segnale
  Freq=dB(abs(fft(Signal)));
  
  # ordina i dati in uscita per Gnuplot
  Idx=[0:1/TotalSamples:1]';				# vettore di indici
  Idx(length(Idx))=[];					# elimina l'ultimo
  out=[Idx Freq];					# uscita
 
  # per salvare usare: save -ascii "media_fft.dat" a
endfunction



 