#
#   Disposizione dei poli e degli zeri nel piano complesso.
#   Copyright (C) 2010 2011 2014  Alessandro Accattini
#
#   This program is free software; you can redistribute it and/or modify
#   it under the terms of the GNU General Public License as published by
#   the Free Software Foundation; either version 2 of the License, or
#   (at your option) any later version.
#
#   This program is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU General Public License for more details.
#
#   You should have received a copy of the GNU General Public License
#   along with this program; if not, write to the Free Software
#   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
#
##############################################################################
#
#
#


# Funzioni
dB(a)=20.0*log10(a)
Rad(ang)=2.0*pi*ang/360.0
Disc(r,ang)=r*(cos(Rad(ang))+{0.0,1.0}*sin(Rad(ang)))
Dist(z,i)=abs(z-i)
z(fn)=exp({0.0,1.0}*fn*2.0*pi)


# Zeri
q00=Disc(1.0, 11.25*0)
q01=Disc(1.0, 11.25*1)
q02=Disc(1.0, 11.25*2)
q03=Disc(1.0, 11.25*3)
q04=Disc(1.0, 11.25*4)
q05=Disc(1.0, 11.25*5)
q06=Disc(1.0, 11.25*6)
q07=Disc(1.0, 11.25*7)
q08=Disc(1.0, 11.25*8)
q09=Disc(1.0, 11.25*9)
q10=Disc(1.0, 11.25*10)
q11=Disc(1.0, 11.25*11)
q12=Disc(1.0, 11.25*12)
q13=Disc(1.0, 11.25*13)
q14=Disc(1.0, 11.25*14)
q15=Disc(1.0, 11.25*15)
q16=Disc(1.0, 11.25*16)
q17=Disc(1.0, 11.25*17)
q18=Disc(1.0, 11.25*18)
q19=Disc(1.0, 11.25*19)
q20=Disc(1.0, 11.25*20)
q21=Disc(1.0, 11.25*21)
q22=Disc(1.0, 11.25*22)
q23=Disc(1.0, 11.25*23)
q24=Disc(1.0, 11.25*24)
q25=Disc(1.0, 11.25*25)
q26=Disc(1.0, 11.25*26)
q27=Disc(1.0, 11.25*27)
q28=Disc(1.0, 11.25*28)
q29=Disc(1.0, 11.25*29)
q30=Disc(1.0, 11.25*30)
q31=Disc(1.0, 11.25*31)

# Poli



Filter_1(z)=  Dist(z,q1)*Dist(z,q2) / ( Dist(z,p1)*Dist(z,p2) )


