#
#   Zeroes polar chart drawing.
#   Copyright (C) 2010 2011 2013 2014  Alessandro Accattini
#
#   This program is free software; you can redistribute it and/or modify
#   it under the terms of the GNU General Public License as published by
#   the Free Software Foundation; either version 2 of the License, or
#   (at your option) any later version.
#
#   This program is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU General Public License for more details.
#
#   You should have received a copy of the GNU General Public License
#   along with this program; if not, write to the Free Software
#   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
#
##############################################################################
#
#
#
#
#
#
#
#


set term png size 480,480 x000000 xffffff


load "zeri_poli.gnu"



set polar
set dummy t

set grid polar
unset border
set xzeroaxis linetype 0 linewidth 1.000
set yzeroaxis linetype 0 linewidth 1.000

set key off

set samples 300

set trange[0:2*pi]
set xrange[-1.25:1.25]
set yrange[-1.25:1.25]

set xtics axis 0.25
set ytics axis 0.25

#set xlabel "x label"
#set ylabel "y label"
#set title "chart title"

# posiziona gli zeri
set label 1  "q1"  at real(q01),imag(q01) tc lt 2 point ps 3 offset 0.4,0.4
set label 2  "q2"  at real(q02),imag(q02) tc lt 2 point ps 3 offset 0.4,0.4
set label 3  "q3"  at real(q03),imag(q03) tc lt 2 point ps 3 offset 0.4,0.4
set label 4  "q4"  at real(q04),imag(q04) tc lt 2 point ps 3 offset 0.4,0.4
set label 5  "q5"  at real(q05),imag(q05) tc lt 2 point ps 3 offset 0.4,0.4
set label 6  "q6"  at real(q06),imag(q06) tc lt 2 point ps 3 offset 0.4,0.4
set label 7  "q7"  at real(q07),imag(q07) tc lt 2 point ps 3 offset 0.4,0.4
set label 8  "q8"  at real(q08),imag(q08) tc lt 2 point ps 3 offset 0.4,0.4
set label 9  "q9"  at real(q09),imag(q09) tc lt 2 point ps 3 offset 0.4,0.4
set label 10 "q10" at real(q10),imag(q10) tc lt 2 point ps 3 offset 0.4,0.4
set label 11 "q11" at real(q11),imag(q11) tc lt 2 point ps 3 offset 0.4,0.4
set label 12 "q12" at real(q12),imag(q12) tc lt 2 point ps 3 offset 0.4,0.4
set label 13 "q13" at real(q13),imag(q13) tc lt 2 point ps 3 offset 0.4,0.4
set label 14 "q14" at real(q14),imag(q14) tc lt 2 point ps 3 offset 0.4,0.4
set label 15 "q15" at real(q15),imag(q15) tc lt 2 point ps 3 offset 0.4,0.4
set label 16 "q16" at real(q16),imag(q16) tc lt 2 point ps 3 offset 0.4,0.4
set label 17 "q17" at real(q17),imag(q17) tc lt 2 point ps 3 offset 0.4,0.4
set label 18 "q18" at real(q18),imag(q18) tc lt 2 point ps 3 offset 0.4,0.4
set label 19 "q19" at real(q19),imag(q19) tc lt 2 point ps 3 offset 0.4,0.4
set label 20 "q20" at real(q20),imag(q20) tc lt 2 point ps 3 offset 0.4,0.4
set label 21 "q21" at real(q21),imag(q21) tc lt 2 point ps 3 offset 0.4,0.4
set label 22 "q22" at real(q22),imag(q22) tc lt 2 point ps 3 offset 0.4,0.4
set label 23 "q23" at real(q23),imag(q23) tc lt 2 point ps 3 offset 0.4,0.4
set label 24 "q24" at real(q24),imag(q24) tc lt 2 point ps 3 offset 0.4,0.4
set label 25 "q25" at real(q25),imag(q25) tc lt 2 point ps 3 offset 0.4,0.4
set label 26 "q26" at real(q26),imag(q26) tc lt 2 point ps 3 offset 0.4,0.4
set label 27 "q27" at real(q27),imag(q27) tc lt 2 point ps 3 offset 0.4,0.4
set label 28 "q28" at real(q28),imag(q28) tc lt 2 point ps 3 offset 0.4,0.4
set label 29 "q29" at real(q29),imag(q29) tc lt 2 point ps 3 offset 0.4,0.4
set label 30 "q30" at real(q30),imag(q30) tc lt 2 point ps 3 offset 0.4,0.4
set label 31 "q31" at real(q31),imag(q31) tc lt 2 point ps 3 offset 0.4,0.4

# posiziona i poli


plot 1.0 linetype 3 lw 2

